Package uk.ac.starlink.topcat

## Interface Activator

- All Known Implementing Classes:
    `JELActivator`

      public interface Activator

  Defines an action to be performed on a row.
  Since:
    10 Aug 2004
  Author:
    Mark Taylor (Starlink)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Activator` | `NOP` | Activator instance which does nothing.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `activateRow​(long lrow)` | Invokes some kind of action on row indicated by a given index.

- - ### Field Detail

    - #### NOP

          static final Activator NOP

      Activator instance which does nothing.

  - ### Method Detail

    - #### activateRow

          java.lang.String activateRow​(long lrow)

      Invokes some kind of action on row indicated by a given index. If the return value is non-null it is treated as some kind of message which may be conveyed to the user.
      Parameters:
        `lrow` - row index to activate
      Returns:
        true iff the activation was successful

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.